export declare type Props = {
    type?: Type;
    buttonLabel: string;
    onClickHandler: () => void;
    isHidden?: boolean;
    isDisabled?: boolean;
    children?: JSX.Element;
    icon?: JSX.Element;
};
export declare type Type = "link" | "default" | "ghost" | "primary" | "dashed" | "text";
declare const Button: ({ type, buttonLabel, onClickHandler, isHidden, isDisabled, children, icon, }: Props) => JSX.Element;
export default Button;
